import { BaseFactory } from './BaseFactory';
import { Role } from '../Models/Role';
export declare class Roles extends BaseFactory {
    protected newObj(): Role;
    getByApiObj(apiObj: any): Promise<any>;
    getAll(cbObj?: any, cbMethod?: any, cbRef?: any): Promise<any>;
    getByGuid(guid: any, cbObj?: any, cbMethod?: any, cbRef?: any): Promise<any>;
    getByLabel(label: any): Promise<any>;
    canRead(roleObj: any, throwOnErr?: boolean): Promise<boolean>;
    canReadSensitive(roleObj: any, throwOnErr?: boolean): Promise<boolean>;
    canExecute(roleObj: any, throwOnErr?: boolean): Promise<boolean>;
    canUpdate(roleObj: any, throwOnErr?: boolean): Promise<boolean>;
    canUpdateSensitive(roleObj: any, throwOnErr?: boolean): Promise<boolean>;
    canCreate(roleObj: any, throwOnErr?: boolean): Promise<boolean>;
    canDelete(roleObj: any, throwOnErr?: boolean): Promise<boolean>;
}
