import { DdsSync } from './DdsSync';
export declare abstract class Privileges extends DdsSync {
    getNsMaps(): any;
    getMgmMaps(): any;
    canReadNsByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canReadSensitiveNsByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canExecuteNsByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canUpdateNsByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canUpdateSensitiveNsByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canCreateNsByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canDeleteNsByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canReadMgmByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canReadSensitiveMgmByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canExecuteMgmByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canUpdateMgmByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canUpdateSensitiveMgmByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canCreateMgmByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
    canDeleteMgmByStr(nsStr: any, throwOnErr?: boolean): Promise<boolean>;
}
